<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HARVESTER1</title>
    <link rel="stylesheet" href="harvester.css">
</head>
<body>
<header>
    <nav>
        <div class="dropdown-toggle" id="dropdownToggle">
            <div class="bar"></div>
            <div class="bar"></div>
            <div class="bar"></div>
        </div>
        <ul class="dropdown-content" id="dropdownContent">
            <li><a href="#">Accueil</a></li>
            <li><a id="downloadLink" href="#">Download</a></li>
        </ul>
    </nav>
    <h1>HARVESTER 1</h1>
</header>
<main>
    <div class="content">
        <div class="text-content">
            <!-- Vous pouvez ajouter votre texte ou d'autres éléments ici -->
            <p>Insérez votre contenu ici. Ce contenu sera sur le côté gauche de la page.</p>
        </div>
        <div class="text-area">
            <button id="pushButton">PUSH</button>
            <textarea id="xmlContent" placeholder="Écrivez quelque chose ici..."></textarea>
        </div>

    </div>
</main>
<script>
    document.addEventListener('DOMContentLoaded', function() {
        document.getElementById('pushButton').addEventListener('click', function() {
            const fileContent = document.getElementById('textarea').value; // Récupérer le contenu de la zone de texte

            const projectId = 'mspr1151318'; // Remplacez par l'ID de votre projet GitLab
            const branchName = 'master'; // Nom de la branche sur laquelle vous voulez effectuer le commit
            const commitMessage = 'Commit via web interface'; // Message de commit
            const token = 'glptt-e71d1085a1d42d672d0aceb832e23b3cfddc83f7'; // Token d'accès GitLab

            // Créer un nouveau commit
            fetch(`https://gitlab.com/api/v4/projects/mspr/nester`, {
                method: 'POST',
                headers: {
                    'Content-Type': 'application/json',
                    'PRIVATE-TOKEN': token
                },
                body: JSON.stringify({
                    branch: branchName,
                    commit_message: commitMessage,
                    actions: [
                        {
                            action: 'create',
                            file_path: 'harvester.txt', // Chemin du fichier à créer ou modifier
                            content: fileContent
                        }
                    ]
                })
            })
            .then(response => {
                if (!response.ok) {
                    throw new Error('Failed to create commit in GitLab');
                }
                return response.json();
            })
            .then(data => {
                console.log('Commit created successfully:', data);
                // Pousser le commit vers GitLab
                return fetch(`https://gitlab.com/api/v4/projects/mspr/repository/branches/nester`, {
                    method: 'POST',
                    headers: {
                        'Content-Type': 'application/json',
                        'PRIVATE-TOKEN': token
                    },
                    body: JSON.stringify({
                        source_branch: branchName,
                        target_branch: branchName,
                        title: commitMessage
                    })
                });
            })
            .then(response => {
                if (!response.ok) {
                    throw new Error('Failed to push commit to GitLab');
                }
                console.log('Commit pushed successfully');
            })
            .catch(error => {
                console.error('Error:', error);
            });
        });
    });


</script>

</body>
</html>
